Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044788
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2020-08-12 08:282020-08-14 12:01
ReportermaiteView Statuspublic 
Assigned Toinigo_lerga 
PriorityurgentResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044788: Wrong information in Credits section of Aging Report: the date when a prepaid order was invoiced needs to be considered

DescriptionAt the moment, as soon as a prepaid order is invoiced it will never be shown as Credit independently of the report's date. This is not correct as in case the report is executed in a date when the order was not invoiced yet it should show as Credit information
Steps To Reproduce1. Create Sales Order for any Org and BP. Set date 10/08/2020. Add any line and Book the order
2. Run Add Payment process and prepay the order
3. Run Receivables Aging Schedule report for this BP and date 11/08/2020. Realize that the order appears in Credit section
4. Register Sales Invoice for same Org and BP. Set date 12/08/2020. Run Create Lines from and select previous order. Book the invoice
5. Run Receivables Aging Schedule report for this BP and date 11/08/2020. Realize that the order DO NOT appears in Credit section, what is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0045097 closedinigo_lerga Payment wrongly shown as Credit, as it is also associated to the invoice 

-  Notes
(0122029)
inigo_lerga (developer)
2020-08-13 14:27

--Test Plan Mantis HQL--

As the F&B International Group Admin role in Backend:
- Go to Sales Order window and create a new record with 'Alimentos y Supermercados, S.A'
  as Business Partner.
  Set the Invoice Terms to Inmediate.
  Go to Lines Tab and create a new line with any product and quantity desired.
  Save and Book the record.
  Press the Add payment button and Done button in the popup window.

- Go to Sales Invoice window and create a new record with 'Alimentos y Supermercados, S.A'
  as Business Partner.
  Set as Invoice Date the date two days from now (Today + 2 days)
  Press the Create Lines From Order button and select the ones from the previous
  Sales Order.
  Save and Complete the Sales Invoice.

- Go to Receivables Aging Schedule window and set tomorrow (Today + 1 day)
  as the As Of Date field.
  Press the View button.

#Now this workflow is successfully executed"
(0122048)
hgbot (developer)
2020-08-14 09:48

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/120 [^]
(0122066)
hgbot (developer)
2020-08-14 12:01

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: b6f4205fb4260501abd5493116377646ffad38b2
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-08-14T10:01:42+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/b6f4205fb4260501abd5493116377646ffad38b2 [^]

fixes BUG-44788:Date of prepaid order invoice considered now

The date in which an invoice of a prepaid order is now
considered in que query, being properly shown as Credit
independtly of the report's date.

---
M src/org/openbravo/erpCommon/ad_reports/AgingDao_data.xsql
---
(0122067)
hgbot (developer)
2020-08-14 12:01

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/120 [^]

- Issue History
Date Modified Username Field Change
2020-08-12 08:28 maite New Issue
2020-08-12 08:28 maite Assigned To => Triage Finance
2020-08-12 08:28 maite Modules => Core
2020-08-12 08:28 maite Triggers an Emergency Pack => No
2020-08-12 08:29 maite Issue Monitored: networkb
2020-08-12 10:56 ngarcia Issue Monitored: ngarcia
2020-08-12 14:09 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-08-13 09:38 inigo_lerga Status new => scheduled
2020-08-13 14:27 inigo_lerga Note Added: 0122029
2020-08-14 09:48 hgbot Note Added: 0122048
2020-08-14 12:01 hgbot Resolution open => fixed
2020-08-14 12:01 hgbot Status scheduled => closed
2020-08-14 12:01 hgbot Fixed in Version => PR20Q4
2020-08-14 12:01 hgbot Note Added: 0122066
2020-08-14 12:01 hgbot Note Added: 0122067
2020-09-24 09:03 maite Relationship added causes 0045097


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker